#!/bin/bash


if test "x$gsopt_noexts" != "x1" ; then

    echo ""
    echo "----"
    echo "Checking for custom ant-start extension settings (ant-start-settings.bash)"
    echo "----"

    # Check Greenstone3 extensions
    if [ -d ext  ] ; then
	for gsdl_ext in ext/* ; do
	    if [ -d $gsdl_ext ] ; then
		if [ -f $gsdl_ext/ant-start-settings.bash ]; then 
		    cd $gsdl_ext > /dev/null
		    . ./ant-start-settings.bash 
		    cd ../..
		fi 

	    fi
	done
    fi

    # Check Greenstone2 extensions
    if [ -d gs2build/ext  ] ; then
	for gsdl_ext in gs2build/ext/* ; do
	    if [ -d $gsdl_ext ] ; then 
		if [ -f $gsdl_ext/ant-start-settings.bash ]; then 
		    cd $gsdl_ext > /dev/null
		    . ./ant-start-settings.bash 
		    cd ../../..
		fi 
	    fi
	done
    fi    
fi


# If needed, add any further customized code needed here, such as
# environemnt variables


ant start

# Any customized clean up needed?
